Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Voicetools » Deploying an OpenVXML on Apache Tomcat
Deploying an OpenVXML on Apache Tomcat [message #535011] Fri, 21 May 2010 04:31 Go to next message
Apurv Tiwari is currently offline Apurv Tiwari
Messages: 7
Registered: May 2010
Location: Delhi
Junior Member
Hello,
I am trying to deploy an OpenVXML code on Apache Tomcat server. For a start I made a hello_world program. and exported it as hello_world.war file.
Now as instructed in http://www.openmethods.com/documentation/GettingStarted.pdf , I transfered the .war file to the Tomcat webapps directory and restarted the service.
Now to access it when I use my web-browser , I can't see the file on
http://localhost:8080/hello_world/hello_world
It show an error:
HTTP status 404 - BridgeServlet: /hello_world/hello_world .

I am not sure what that is supposed to mean since I am using these tech. for the first time.
Any help to resolve this problem would be great.

Thanks in advance.
Re: Deploying an OpenVXML on Apache Tomcat [message #535250 is a reply to message #535011] Fri, 21 May 2010 18:05 Go to previous messageGo to next message
Randy Childers is currently offline Randy Childers
Messages: 121
Registered: July 2009
Senior Member
Hi Apurv--

Where did you get your OpenVXML installation? Did you use an installer from OpenMethods.com, or did you build the project form source available at the VTP repository? It appears that your installation is missing a few key files.

Let me know what you're doing and I can help you get it working.

Thanks,
Randy Childers
OpenMethods
Re: Deploying an OpenVXML on Apache Tomcat [message #535253 is a reply to message #535250] Fri, 21 May 2010 18:21 Go to previous messageGo to next message
Apurv Tiwari is currently offline Apurv Tiwari
Messages: 7
Registered: May 2010
Location: Delhi
Junior Member
Hi Randy,
Thanks for such quick response.
The verison I am using right now is form OpenMethods.com .
http://www.openmethods.com/download2.php


Thanks again for help.

-
Apurv
Re: Deploying an OpenVXML on Apache Tomcat [message #535261 is a reply to message #535253] Fri, 21 May 2010 18:39 Go to previous messageGo to next message
Randy Childers is currently offline Randy Childers
Messages: 121
Registered: July 2009
Senior Member
Hmm, that's not what I was expecting to hear. Let's get to some specifics:
* When did you download the installer (i.e., how old is it)?
* What is your OS?
* What version of Java are you using?

Thanks,
Randy
Re: Deploying an OpenVXML on Apache Tomcat [message #535268 is a reply to message #535261] Fri, 21 May 2010 18:57 Go to previous messageGo to next message
Apurv Tiwari is currently offline Apurv Tiwari
Messages: 7
Registered: May 2010
Location: Delhi
Junior Member
Ok. Here are the details:

i) I downloaded the installer 3 days back ( which again means it would be the latest version available).

ii) I am using Ubuntu 9.04 Jaunty as OS.

iii) however the java -version shows 1.6.0_0 , while installing this OpenVXML, I also downloaded jre1.6.0_20 and installed it in /opt/ and changed the file OpenVXMLGalileo-3.0.25/eclipse/eclipse.ini to:
launcher.XXMaxPermSize
256m
-vm
/opt/jre1.6.0_20/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.5
-XX:MaxPermSize=256m
-Xms40m
-Xmx512m

In which case I guess the java version you are asking me is this one.

-
Apurv
Re: Deploying an OpenVXML on Apache Tomcat [message #535275 is a reply to message #535268] Fri, 21 May 2010 19:20 Go to previous messageGo to next message
Randy Childers is currently offline Randy Childers
Messages: 121
Registered: July 2009
Senior Member
Hi Apurv--

It sounds like you've done everything right. Ubuntu 9.04 wasn't a platform we explicitly tested for, but we're going to take a look at that now. In the meantime, I'd like to see the .war file you generated. Please contact me directly at
randy at openmethods dot com
so we can work out a hand-off.

Thanks, and my apologies for the bump in the road--
Randy

[Updated on: Fri, 21 May 2010 19:22]

Report message to a moderator

Re: Deploying an OpenVXML on Apache Tomcat [message #579204 is a reply to message #535261] Fri, 21 May 2010 18:57 Go to previous messageGo to next message
Apurv Tiwari is currently offline Apurv Tiwari
Messages: 7
Registered: May 2010
Location: Delhi
Junior Member
Ok. Here are the details:

i) I downloaded the installer 3 days back ( which again means it would be the latest version available).

ii) I am using Ubuntu 9.04 Jaunty as OS.

iii) however the java -version shows 1.6.0_0 , while installing this OpenVXML, I also downloaded jre1.6.0_20 and installed it in /opt/ and changed the file OpenVXMLGalileo-3.0.25/eclipse/eclipse.ini to:
launcher.XXMaxPermSize
256m
-vm
/opt/jre1.6.0_20/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.5
-XX:MaxPermSize=256m
-Xms40m
-Xmx512m

In which case I guess the java version you are asking me is this one.

-
Apurv
Re: Deploying an OpenVXML on Apache Tomcat [message #579214 is a reply to message #535268] Fri, 21 May 2010 19:20 Go to previous message
Randy Childers is currently offline Randy Childers
Messages: 121
Registered: July 2009
Senior Member
Hi Apurv--

It sounds like you've done everything right. Ubuntu 9.04 wasn't a platform we explicitly tested for, but we're going to take a look at that now. In the meantime, I'd like to see the .war file you generated. Please contact me directly at mailto:randy@openmethods.com so we can work out a hand-off.

Thanks, and my apologies for the bump in the road--
Randy
Previous Topic:Deploying an OpenVXML on Apache Tomcat
Next Topic:Barge-in with Avaya Dialog Designer simulation
Goto Forum:
  


Current Time: Wed Sep 17 23:46:03 GMT 2014

Powered by FUDForum. Page generated in 0.07464 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software